.. _vSphere API 5.0: ../../../vim/version.rst#vimversionversion7

.. _vim.vm.device.VirtualDiskId: ../../../vim/vm/device/VirtualDiskId.rst

.. _vim.cluster.DrsFaults.FaultsByVm: ../../../vim/cluster/DrsFaults/FaultsByVm.rst


vim.cluster.DrsFaults.FaultsByVirtualDisk
=========================================
  The faults generated by storage DRS when it tries to move a virtual disk.
:extends: vim.cluster.DrsFaults.FaultsByVm_
:since: `vSphere API 5.0`_

Attributes:
    disk (`vim.vm.device.VirtualDiskId`_, optional):

       The virtual disk that storage DRS was trying to migrate when it generated the faults. If this property is NULL, the fault is not associated with a particular virtual disk.
